MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028093Open CASCADE[OCCT] OCCT:Visualizationpublic2016-11-11 16:552016-12-09 16:39
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0028093: Visualization - access violation on removal of dynamic highlighting after device loss
DescriptionThe shadow structure is not correctly removed from its layer within device loss scenario.

The reason is that flag Graphic3d_CStructure::IsForHighlight is reset within OpenGl_Structure::Clear() called by Graphic3d_StructureManager::RecomputeStructures(), but since this flag is set by PrsMgr_PresentationManager, it is not restored by Compute().

As result, calling OpenGl_Layer::Remove() does not remove the structure from OpenGl_Layer::myAlwaysRenderedMap leading to crash if map is not updated before calling OpenGl_Layer::BoundingBox().
Steps To Reproduce
pload MODELING VISUALIZATION
box b 1 2 3
vclear
vinit View1
vdisplay -dispMode 1 -highMode 1 b
vfit

vmoveto 250 250
vraytrace 1
vmoveto 400 400
TagsNo tags attached.
Test case numberbugs vis bug28093
Attached Files

- Relationships
related to 0024307closedapn Open CASCADE TKOpenGl - efficient culling of large number of presentations 

-  Notes
(0060254)
git (administrator)
2016-11-11 18:09

Branch CR28093_1 has been created by kgv.

SHA-1: ffebb030252fb48bd3e709be826d4faa30bd2a16


Detailed log of new commits:

Author: kgv
Date: Fri Nov 11 18:05:04 2016 +0300

    0028093: Visualization - access violation on removal of dynamic highlighting after device loss
    
    Eliminate Graphic3d_CStructure::IsForHighlight property
(0060255)
git (administrator)
2016-11-11 18:22

Branch CR28093_2 has been created by kgv.

SHA-1: 75079546d99fd93df9c171c1924f834c2279bb68


Detailed log of new commits:

Author: kgv
Date: Fri Nov 11 18:20:49 2016 +0300

    0028093: Visualization - access violation on removal of dynamic highlighting after device loss
    
    OpenGl_Layer::Remove() now tries to remove object from myAlwaysRenderedMap
    if it was not removed from other groups.
(0060256)
kgv (developer)
2016-11-11 18:22

Patch is ready for review.
(0060386)
san (developer)
2016-11-15 19:25

Branch CR28093_2 reviewed without remarks, ready for testing.
(0060463)
mkv (tester)
2016-11-16 19:34

Dear BugMaster,
Branch CR28093_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 75079546d99fd93df9c171c1924f834c2279bb68

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1134

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR28093_2-master-OCCT/Debian70-64/bugs/vis/bug28093.html [^]
http://occt-tests/CR28093_2-master-OCCT/Windows-64-VC10/bugs/vis/bug28093.html [^]
bugs vis bug28093: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91412013 / 91888201 [-0.52%]
Total CPU difference: 21671.34000000026 / 21600.690000000308 [+0.33%]
products component :
Total MEMORY difference: 29938177 / 29934528 [+0.01%]
Total CPU difference: 5307.73999999997 / 5309.129999999963 [-0.03%]

Testing on Windows:
occt component :
Total MEMORY difference: 56591629 / 56597852 [-0.01%]
Total CPU difference: 20202.472702198476 / 19669.510885798518 [+2.71%]
products component :
Total MEMORY difference: 20823348 / 20790286 [+0.16%]
Total CPU difference: 5295.469545099987 / 5153.477434899959 [+2.76%]

There are no differences in images found by testdiff.
(0060464)
mkv (tester)
2016-11-16 19:35

Dear BugMaster,
Branch CR28093_2 is TESTED.
(0061287)
git (administrator)
2016-12-07 11:31

Branch CR28093_1 has been deleted by kgv.

SHA-1: ffebb030252fb48bd3e709be826d4faa30bd2a16
(0061288)
git (administrator)
2016-12-07 11:31

Branch CR28093_2 has been deleted by kgv.

SHA-1: 75079546d99fd93df9c171c1924f834c2279bb68

- Related Changesets
occt: master ef9a9362
Timestamp: 2016-11-11 15:20:49
Author: kgv
Committer: apn
Details ] Diff ]
0028093: Visualization - access violation on removal of dynamic highlighting after device loss

OpenGl_Layer::Remove() now tries to remove object from myAlwaysRenderedMap
if it was not removed from other groups.
mod - src/OpenGl/OpenGl_Layer.cxx Diff ] File ]
add - tests/bugs/vis/bug28093 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-11 16:55 kgv New Issue
2016-11-11 16:55 kgv Assigned To => kgv
2016-11-11 16:58 kgv Relationship added child of 0027793
2016-11-11 17:01 kgv Relationship added related to 0024307
2016-11-11 18:09 git Note Added: 0060254
2016-11-11 18:21 kgv Target Version 7.2.0 => 7.1.0
2016-11-11 18:22 git Note Added: 0060255
2016-11-11 18:22 kgv Note Added: 0060256
2016-11-11 18:22 kgv Assigned To kgv => san
2016-11-11 18:22 kgv Status new => resolved
2016-11-15 19:25 san Note Added: 0060386
2016-11-15 19:25 san Assigned To san => bugmaster
2016-11-15 19:25 san Status resolved => reviewed
2016-11-15 19:25 mkv Assigned To bugmaster => mkv
2016-11-16 19:34 mkv Note Added: 0060463
2016-11-16 19:35 mkv Note Added: 0060464
2016-11-16 19:35 mkv Assigned To mkv => bugmaster
2016-11-16 19:35 mkv Status reviewed => tested
2016-11-16 19:35 mkv Test case number => bugs vis bug28093
2016-11-18 16:37 apn Changeset attached => occt master ef9a9362
2016-11-18 16:37 apn Assigned To bugmaster => apn
2016-11-18 16:37 apn Status tested => verified
2016-11-18 16:37 apn Resolution open => fixed
2016-12-07 11:31 git Note Added: 0061287
2016-12-07 11:31 git Note Added: 0061288
2016-12-09 16:29 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker